=== debian/changelog ===
ros-noetic-moveit-ros-visualization (1.1.11-1buster) buster; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.10-1buster) buster; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.9-1buster) buster; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.8-1buster) buster; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * ``RobotState::attachBody``: Migrate to ``unique_ptr`` argument (#3011 <https://github.com/ros-planning/moveit/issues/3011>)
  * Fix "ClassLoader: SEVERE WARNING" on reset of MPD (#2925 <https://github.com/ros-planning/moveit/issues/2925>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Various fixes to MotionPlanning display (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
    
      * Avoid flickering of the progress bar
      * Joints widget: avoid flickering of the nullspace slider
    
  * Modernize: std::make_shared
  * Contributors: Jafar Abdi, JafarAbdi, Jochen Sprickerhof, Robert Haschke, pvanlaar

 -- Jon Binney <jon.binney@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-visualization (1.1.6-1buster) buster; urgency=high

  * Re-initialize params, subscribers, and topics when the ``MoveGroupNS`` has changed (#2922 <https://github.com/ros-planning/moveit/issues/2922>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Do not save/restore warehouse parameters (#2865 <https://github.com/ros-planning/moveit/issues/2865>) but use the ROS parameters only
  * PSD: Correctly update robot's base pose (#2876 <https://github.com/ros-planning/moveit/issues/2876>)
  * Fix Python2: convert keys() into list (#2862 <https://github.com/ros-planning/moveit/issues/2862>)
  * MP panel: fix order of input widgets for shape size (#2847 <https://github.com/ros-planning/moveit/issues/2847>)
  * Use relative topic name in trajectory visualization to allow namespacing (#2835 <https://github.com/ros-planning/moveit/issues/2835>)
  * MotionPlanningFrame: Gracefully handle undefined parent widget, e.g. for use via ``librviz.so`` (#2833 <https://github.com/ros-planning/moveit/issues/2833>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Support arbitrary real-time factors in trajectory visualization (#2745 <https://github.com/ros-planning/moveit/issues/2745>)Replaced special value ``REALTIME`` to accept arbitrary real-time factors in the format ``<number>x``, e.g. ``3x``.
  * Joints tab: Fix handling of mimic + passive joints (#2744 <https://github.com/ros-planning/moveit/issues/2744>)

