=== debian/control ===
Source: ros-noetic-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-noetic-catkin, ros-noetic-class-loader, ros-noetic-geometric-shapes, ros-noetic-interactive-markers, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-robot-interaction, ros-noetic-moveit-ros-warehouse, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-rviz, ros-noetic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometric-shapes, ros-noetic-interactive-markers, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-robot-interaction, ros-noetic-moveit-ros-warehouse, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rviz, ros-noetic-tf2-eigen
Description: Components of MoveIt that offer visualization
